Zynk
Getting StartedProduct GuidesAPI Reference
FAQ'sRecipes
Getting StartedProduct GuidesAPI Reference
FAQ'sRecipes
  1. Teleport - Pay-In Accounts
  • Transformer - Cross border transfer
    • Transformer: Entity
      • Create Entity
      • Entities
      • Entity By ID
      • Entity By Email
      • KYC Status
      • KYC Requirements
      • Submit KYC/KYB
      • Get KYC Documents
    • Transformer: Accounts
      • External Accounts
        • Generate Plaid Link Token
        • Update Plaid Link Token
        • Get External Account Payload Requirements
        • Add External Account
        • Enable External Account
        • Disable External Account
        • Delete External Account
        • Get External Account by ID
        • Get External Accounts
      • Funding Accounts
        • Create Funding Account
        • Activate Funding Account
        • Deactivate Funding Account
        • Funding Account by ID
        • All Funding Accounts
      • Entity Accounts (Deprecated)
        • Add Entity Account
        • Remove Entity Account
        • Get Entity Account
        • Get Entity Accounts
    • Transformer: Transfers
      • Simulate
      • Transfer
      • All Transfers
      • Transfers by entity
      • Transfer by execution ID
      • Transfer by partner transaction ID
      • All transfers for partner
    • Transformer: Utility
      • Partner Payments Account Balance
      • Partner Payments Deposit
      • Get Jurisdictions
    • Webhooks
      • Get Webhook Events History
      • Registered Webhook URL
      • Register or Update Webhook URL
  • Transporter - Automated Liquidity Manager
    • ALM Market
      • Create Reserve Quote
      • Accept Reserve Frame
      • Get Active Reserves
      • Get All Reserves
    • Transaction Details by ID, Partner Transaction ID, or Transaction Hash
      GET
    • Partner Details
      GET
    • Get All Transactions
      GET
    • Transaction Details
      GET
    • Transaction Details by ID
      GET
    • Partner Details
      GET
    • Initiate Transaction
      POST
    • Replenish Fee Quote
      POST
    • Quote Fulfilled
      POST
    • Replenish Initiate
      POST
    • Replenish Batch Transaction
      POST
    • Replenish Fee Quote Batch
      POST
  • Teleport - Pay-In Accounts
    • Create Teleport Route
      POST
    • Update Teleport Destination
      POST
    • Toggle Teleport Status
      POST
    • Teleport Details
      GET
    • Teleport Routes by Entity
      GET
  • Archive
    • KYC Documents
      GET
    • Prepaid KYC Balance
      GET
    • Prepaid KYC Deposit
      POST
  1. Teleport - Pay-In Accounts

Create Teleport Route

POST
/api/v1/transformer/teleport/create
This endpoint will create a teleport route for the specific entity

Request

Authorization
API Key
Add parameter in header
X-API-Token
Example:
X-API-Token: ********************
or
Body Params application/json

Examples

Responses

🟢200OK
application/json
Teleport route created successfully or already exists
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location '/api/v1/transformer/teleport/create' \
--header 'X-API-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "fundingAccountId": "fa_us_virtual_123",
    "externalAccountId": "ea_india_bank_456"
}'
Response Response Example
200 - New Teleport Created
{
    "success": true,
    "data": {
        "message": "Teleport created successfully",
        "data": {
            "teleportId": "teleport_8b118472_1a0b_40b5_aa1b_0792f4df69b4"
        }
    }
}
Modified at 2025-11-15 17:05:37
Previous
Replenish Fee Quote Batch
Next
Update Teleport Destination
Built with